# Config Settings

## Config.lua Settings

*Here you can change the base system to qb or esx.*

```lua
Config.base = "ESX" --- QBCORE or "ESX"
```

You can adjust according to which database script you are using.

```lua
Config.DatabaseName = "oxmysql"  --- oxmysql , mysql-async , ghmattisql
```

With this setting you can change the backpack system to roleplay or survival mode.

* If you make it true, your inventory will not open without wearing a backpack and you can only use the pocket, clothes and weapons section.
* If false, it opens as a classic <mark style="color:red;">roleplay inventory</mark>.

```lua
Config.usebackpack = false
```

You can set the drop system in 2 ways.

* With “marker” it appears as Marker.
* With “object” it shows the box or defined object on the ground.

{% code fullWidth="false" %}

```lua
Config.droptype = "object" ----- "object" or "marker"
```

{% endcode %}

If a special prop is not defined in the config, the default prop will appear here.

```lua
Config.defaultobject = "hei_prop_heist_box"
```

With this setting you can set the drop distance. For example, after 2 meters away, the visible object or marker disappears.

```lua
Config.dropdist = 2
```

With this setting you can turn the item clothing system off and on. When the system is turned off, only the put on/off function remains.

```lua
Config.clothing = true
```

With the item props you enter into this setting, the items thrown on the ground appear with those props.

```lua
Config.DropsItems = { ["weapon_assaultrifle"] = { object ="w_ar_assaultrifle", }, ["weapon_smg"] = { object ="w_sb_smg", }, ["coke_brick"] = { object ="bkr_prop_coke_cutblock_01", }, ["meth"] = { object ="hei_prop_pill_bag_01", }, ["markedbills"] = { -- Item Name object="prop_money_bag_01", -- Model you want to display }, ["burger"] = { -- Item Name object="prop_cs_burger_01", -- }, ["water"] = { -- Item Name object="prop_ld_flow_bottle", -- }, }
```

With this setting you can set the maximum slot and weight of the inventory.

```lua
Config.slotinfo = {
    ['backpack'] = {['slot'] = 35, ['weight'] = 30},
    ['pocket'] = {['slot'] = 6, ['weight'] = 10},      
    ['drop'] = {['slot'] = 50, ['weight'] = 900},  

}
```

With this setting you can set the notification setting. There are 3 different settings.

* “qbnotify” (works with QBCore.Functions.Notify)
* “esxnotify” (works with ESX.ShowNotification)
* “costumnotify” (redirects to the notifycustom function in config.lua)

```lua
Config.notifytype = "esxnotify"
```

With this function, you can make extra adjustments to the food, beverage and thirst feature to suit your system.

```lua
getstats = function()
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/bp-resources/bp-inventory/config-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
